Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.latex
Class PicEllipseFormatter

    java.lang.Object
      jpicedt.format.output.latex.PicEllipseFormatter

All Implemented Interfaces:
  Formatter, LatexConstants, PicObjectConstants

Direct Known Subclasses:
  PicEllipseFormatter

public class PicEllipseFormatter
extends Object
implements Formatter, PicObjectConstants, LatexConstants

A drawing->LaTeX formater for PicEllipse objects

[SR:pending] rotated arc/ellipse not handled yet !

Field Summary
`protected PicEllipse` | `ellipse` the Element this formater acts upon
`protected LatexFormatter` | `factory`

Fields inherited from interface jpicedt.graphic.model.PicObjectConstants
`ARROW_GLOBAL_SCALE_LENGTH, ARROW_GLOBAL_SCALE_WIDTH, ARROW_INSET_SCALE, ARROW_LENGTH_SCALE, ARROW_WIDTH_LINEWIDTH_SCALE, ARROW_WIDTH_MINIMUM_MM, BRACKET_LENGTH_SCALE, CROSSHATCH, CROSSHATCH_FILLED, DASH_OPAQUE, DASH_TRANSPARENT, DASH1, DASH2, DASH3, DASHED, DIMEN, DOT_SEP, DOT_SEP1, DOT_SEP2, DOT_SEP3, DOTTED, DOUBLE_COLOR, DOUBLE_LINE, DOUBLE_SEP, FILL_COLOR, FILL_STYLE, HATCH_ANGLE, HATCH_COLOR, HATCH_SEP, HATCH_WIDTH, HLINES, HLINES_FILLED, INNER, LEFT_ARROW, LINE_COLOR, LINE_STYLE, LINE_WIDTH, MIDDLE, NONE, OUTER, OVER_STRIKE, OVER_STRIKE_COLOR, OVER_STRIKE_WIDTH, POLYDOTS_ANGLE, POLYDOTS_CIRCLE, POLYDOTS_DISK, POLYDOTS_PENTAGON, POLYDOTS_PENTAGON_FILLED, POLYDOTS_PLUS, POLYDOTS_SCALE_H, POLYDOTS_SCALE_V, POLYDOTS_SIZE_LINEWIDTH_SCALE, POLYDOTS_SIZE_MINIMUM_MM, POLYDOTS_SQUARE, POLYDOTS_SQUARE_FILLED, POLYDOTS_STYLE, POLYDOTS_SUPERIMPOSE, POLYDOTS_TRIANGLE, POLYDOTS_TRIANGLE_FILLED, PS_POINT, PST_CUSTOM, RBRACKET_LENGTH_SCALE, RIGHT_ARROW, SHADOW, SHADOW_ANGLE, SHADOW_COLOR, SHADOW_SIZE, SOLID, TBAR_WIDTH_LINEWIDTH_SCALE, TBAR_WIDTH_MINIMUM_MM, TEXT_BOX_CIRCLE, TEXT_BOX_NO_FRAME, TEXT_BOX_OVAL, TEXT_BOX_RECTANGLE, TEXT_FRAME, TEXT_HALIGN_CENTER, TEXT_HALIGN_LEFT, TEXT_HALIGN_RIGHT, TEXT_HOR_ALIGN, TEXT_ROTATION, TEXT_VALIGN_BASELINE, TEXT_VALIGN_BOTTOM, TEXT_VALIGN_CENTER, TEXT_VALIGN_TOP, TEXT_VERT_ALIGN, VLINES, VLINES_FILLED`

Fields inherited from interface jpicedt.format.output.latex.LatexConstants
`CR_LF, DEFAULT_EM_LINE_LENGTH, DEFAULT_FILE_WRAPPER_EPILOG, DEFAULT_FILE_WRAPPER_PROLOG, DEFAULT_MAX_CIRCLE_DIAMETER, DEFAULT_MAX_DISK_DIAMETER, DEFAULT_MAX_EM_CIRCLE_SEGMENT_LENGTH, DEFAULT_MAX_EM_LINE_SLOPE, KEY_EM_LINE_LENGTH, KEY_FILE_WRAPPER_EPILOG, KEY_FILE_WRAPPER_PROLOG, KEY_MAX_CIRCLE_DIAMETER, KEY_MAX_DISK_DIAMETER, KEY_MAX_EM_CIRCLE_SEGMENT_LENGTH, KEY_MAX_EM_LINE_SLOPE, RESCALING_TEX_FUNCTION`

Constructor Summary
`PicEllipseFormatter(PicEllipse ellipse, LatexFormatter factory)`

Method Summary
`protected void` | `appendArrows(StringBuffer buf)` Append arrows to the given buffer by invoking `arrowToLatexString()` on the producing factory.
`protected void` | `appendEmulatedArcString(StringBuffer buf)` Create a string representation of a circle/ellipse in the LaTeX format, using emulated lines, and append it to the given buffer.
`protected void` | `appendLatexCircleString(StringBuffer buf)` Create a string representation of a circle in the LaTeX format, using the \\circle command, and append it to the given buffer.
`protected void` | `appendLatexDiskString(StringBuffer buf)` Create a string representation of a disk in the LaTeX format, using the \\circle* command, and append it to the given buffer.
`String` | `format()` Create a String representing an Element in the format of this formatter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ellipse

    protected PicEllipse ellipse

  the Element this formater acts upon

### factory

    protected LatexFormatter factory

Constructor Detail

### PicEllipseFormatter

    public PicEllipseFormatter(PicEllipse ellipse,
                               LatexFormatter factory)

Method Detail

### format

    public String format()

  Description copied from interface: `Formatter`
  Create a String representing an Element in the format of this formatter

  Specified by:
    `format` in interface `Formatter`
  Returns:
    a LaTeX-String representation of a PicEllipse (i.e. a circle, an ellipse, or an arc, never filled in the LaTeX format).

### appendLatexDiskString

    protected void appendLatexDiskString(StringBuffer buf)

  Create a string representation of a disk in the LaTeX format, using the \\circle* command, and append it to the given buffer. Appended string is CR-terminated.

  Since:
    jpicedt 1.3.2

### appendLatexCircleString

    protected void appendLatexCircleString(StringBuffer buf)

  Create a string representation of a circle in the LaTeX format, using the \\circle command, and append it to the given buffer. Appended string is CR-terminated.

  Since:
    jpicedt 1.3.2

### appendEmulatedArcString

    protected void appendEmulatedArcString(StringBuffer buf)

  Create a string representation of a circle/ellipse in the LaTeX format, using emulated lines, and append it to the given buffer. Appended string is CR-terminated.

  Parametric equation is :

  - x(t) = a cos t
  - y(t) = b sin t
  - where a and b are the length of 1/2 axis.
  [SR:pending] add dash + rotated ellipse

  Since:
    jpicedt 1.3.2

### appendArrows

    protected void appendArrows(StringBuffer buf)

  Append arrows to the given buffer by invoking `arrowToLatexString()` on the producing factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org